API referenceATLASi DAM
POST /api/ATLASi/DAM/UpdateBlockOffersValues
Update DAM Block Offers
POST
/api/ATLASi/DAM/UpdateBlockOffersValuescurl -X POST "/api/ATLASi/DAM/UpdateBlockOffersValues" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15",
"scenarioId": 0,
"payload": [
{
"entityId": 0,
"entityName": "string",
"entityType": 1,
"upperPriceCap": 0,
"lowerPriceCap": 0,
"zoneId": 0,
"zoneName": "string",
"pMax": 0,
"pMin": 0,
"orders": [
{
"blockId": 0,
"linkedOrderId": 0,
"exclusiveGroupId": 0,
"mar": 0,
"price": 0,
"detail": []
}
]
}
]
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.ATLASi.DAM.BlockOrdersPostBody
Response
application/json
Block Offers updated successfully
successbooleanrecordCountinteger<int32>dataany
{
"success": true,
"recordCount": 0,
"data": null
}